Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.samlp
Class Request

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.SAMLMessage
oracle.security.xmlsec.samlp.RequestType
oracle.security.xmlsec.samlp.Request`

public class Request
extends RequestType

Element specifying a SAML Request.

Field Summary

Fields inherited from class oracle.security.xmlsec.samlp.RequestType
`ATTRIBUTE_STATEMENT, AUTHENTICATION_STATEMENT, AUTHORIZATION_DECISION_STATEMENT`

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`Request(org.w3c.dom.Document owner)` Creates a new `Request` instance.
`Request(org.w3c.dom.Element element)` Creates a new `Request` instance from the given Element node.
`Request(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `Request` instance from the given Element node.

Method Summary
`void` | `addAssertionArtifact(java.lang.String value)` Adds an assertion artifact the represents the assertions requested.
`void` | `addAssertionIDReference(java.lang.String value)` Adds an ID that refers to a specific Assertion which specifies to the issuer that assertions are requested.
`java.util.List` | `getAssertionArtifacts()` Returns a list of assertion artifact.
`java.util.List` | `getAssertionIDReferences()` Returns a list of assertion IDs specified in the AssertionIDReference element.
`AttributeQuery` | `getAttributeQuery()` Returns the `AttributeQuery` element contained in this request.
`AuthenticationQuery` | `getAuthenticationQuery()` Returns the `AuthenticationQuery` element contained in this request.
`AuthorizationDecisionQuery` | `getAuthorizationDecisionQuery()` Returns the `AuthorizationDecisionQuery` element contained in this request.
`void` | `setQuery(Query query)` Sets the `Query` element of this request.

Methods inherited from class oracle.security.xmlsec.samlp.RequestType
`addRespondWith, addRespondWithValue, getID, getIssueInstant, getLocalNamesPrecedeDSig, getNSURIsPrecedeDSig, getRequestID, getRespondWiths, getRespondWithValues, setIssueInstant, setRequestID`

Methods inherited from class oracle.security.xmlsec.saml.SAMLMessage
`addSignature, addSignature, clearSignature, getInstance, getMajorVersion, getMinorVersion, getSignature, isSigned, setVersion, sign, sign, verify, verify`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Request

    public Request(org.w3c.dom.Element element)
            throws org.w3c.dom.DOMException

  Creates a new `Request` instance from the given Element node.
Parameters:
  `element` - A Request element.

### Request

    public Request(org.w3c.dom.Element element,
                   java.lang.String systemId)
            throws org.w3c.dom.DOMException

  Creates a new `Request` instance from the given Element node.
Parameters:
  `element` - A Request element.
  `systemId` - The URI string system ID for the `Request`.

### Request

    public Request(org.w3c.dom.Document owner)
            throws org.w3c.dom.DOMException

  Creates a new `Request` instance.
Parameters:
  `owner` - The owner document of the new Request.

Method Detail

### setQuery

    public void setQuery(Query query)

  Sets the `Query` element of this request.
  Parameters:
    `query` - The `Query` object to set.

### getAuthenticationQuery

    public AuthenticationQuery getAuthenticationQuery()

  Returns the `AuthenticationQuery` element contained in this request.
  Returns:
    An `AuthenticationQuery` object or `null` if none has been set.

### getAttributeQuery

    public AttributeQuery getAttributeQuery()

  Returns the `AttributeQuery` element contained in this request.
  Returns:
    An `AttributeQuery` object or `null` if none has been set.

### getAuthorizationDecisionQuery

    public AuthorizationDecisionQuery getAuthorizationDecisionQuery()

  Returns the `AuthorizationDecisionQuery` element contained in this request.
  Returns:
    An `AuthorizationDecisionQuery` object or `null` if none has been set.

### addAssertionIDReference

    public void addAssertionIDReference(java.lang.String value)

  Adds an ID that refers to a specific Assertion which specifies to the issuer that assertions are requested.

### getAssertionIDReferences

    public java.util.List getAssertionIDReferences()

  Returns a list of assertion IDs specified in the AssertionIDReference element.
  Returns:
    A `List` of strings, or an empty `List` if no ID has been set.

### addAssertionArtifact

    public void addAssertionArtifact(java.lang.String value)

  Adds an assertion artifact the represents the assertions requested.
  Parameters:
    `value` - A string representing an assertion artifact.

### getAssertionArtifacts

    public java.util.List getAssertionArtifacts()

  Returns a list of assertion artifact.
  Returns:
    A `List` of strings, or an empty `List` if no assertion artifact has been set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.